
Foreman - Bug #7722

Provisioning TFTP menu fails when OS not assigned to org/loc

09/29/2014 02:56 AM - Andreas Pfaffeneder

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Katello2/Foreman1.6-Combo on Centos 6 x86_64, selinux=permissive

Installation-Media is: http://katello2.zuhause-local.de/pulp/repos/Default_Organization/Library/custom/Centos7/os_x86_64/, 

http://katello2.zuhause-local.de/pulp/repos/Default_Organization/Library/custom/Centos7/os_x86_64/images/ is available and

populated.

/var/lib/tftpboot/boot|pxelinux.cfg is writeable for foreman-proxy.

Completed 200 OK in 181ms (Views: 43.1ms | ActiveRecord: 7.0ms)

Processing by ImagesController#index as JSON

Parameters: {"search"=>"operatingsystem=7 architecture=1", "compute_resource_id"=>"1"}

Completed 200 OK in 14ms (Views: 1.7ms | ActiveRecord: 2.2ms)

Processing by HostsController#current_parameters as /*

Parameters: {"utf8"=>"â", "authenticity_token"=>"vIX4QmxAC6jEZpS35VlLPmdrNjJlQKdeUlKIk0fExR4=",

"host"=>{"name"=>"bareos", "organization_id"=>"1", "location_id"=>"4", "hostgroup_id"=>"",

"compute_resource_id"=>"1", "compute_profile_id"=>"3", "environment_id"=>"1", "content_source_id"=>"1",

"puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "managed"=>"true", "progress_report_id"=>"[FILTERED]",

"type"=>"Host::Managed", "compute_attributes"=>{"cpus"=>"4", "memory"=>"2147483648",

"nics_attributes"=>{"new_nics"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"bond0", "model"=>"virtio"},

"0"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"br-lab", "model"=>"virtio"}},

"volumes_attributes"=>{"new_volumes"=>{"pool_name"=>"lvm_storage", "capacity"=>"10G", "allocation"=>"0G",

"format_type"=>"raw", "_delete"=>""}, "0"=>{"pool_name"=>"lvm_storage", "capacity"=>"10G", "allocation"=>"10G",

"format_type"=>"raw", "_delete"=>""}}, "start"=>"1"}, "domain_id"=>"1", "realm_id"=>"", "mac"=>"", "subnet_id"=>"1",

"ip"=>"192.168.0.48", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed",

"mac"=>"", "name"=>"", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"1",

"operatingsystem_id"=>"7", "provision_method"=>"build", "build"=>"1", "ptable_id"=>"", "disk"=>"",

"root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"",

"overwrite"=>"false"}, "kt_environment_id"=>"", "capabilities"=>"build image", "provider"=>"Libvirt", "host_id"=>"null"}

Rendered common_parameters/_inherited_parameters.html.erb (0.3ms)

Completed 200 OK in 42ms (Views: 1.0ms | ActiveRecord: 6.2ms)

Client connected.

Connected to server.

Processing by HostsController#create as */

Parameters: {"utf8"=>"â", "authenticity_token"=>"vIX4QmxAC6jEZpS35VlLPmdrNjJlQKdeUlKIk0fExR4=",

"host"=>{"name"=>"bareos", "organization_id"=>"1", "location_id"=>"4", "hostgroup_id"=>"", "compute_resource_id"=>"1",

"compute_profile_id"=>"3", "environment_id"=>"1", "content_source_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1",

"managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "compute_attributes"=>{"cpus"=>"4",

"memory"=>"2147483648", "nics_attributes"=>{"new_nics"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"bond0", "model"=>"virtio"},

"0"=>{"type"=>"bridge", "_delete"=>"", "bridge"=>"br-lab", "model"=>"virtio"}},

"volumes_attributes"=>{"new_volumes"=>{"pool_name"=>"lvm_storage", "capacity"=>"10G", "allocation"=>"0G",

"format_type"=>"raw", "_delete"=>""}, "0"=>{"pool_name"=>"lvm_storage", "capacity"=>"10G", "allocation"=>"10G",

"format_type"=>"raw", "_delete"=>""}}, "start"=>"1"}, "domain_id"=>"1", "realm_id"=>"", "mac"=>"", "subnet_id"=>"1",

"ip"=>"192.168.0.48", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"",

"name"=>"", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"1", "operatingsystem_id"=>"7",

"provision_method"=>"build", "build"=>"1", "ptable_id"=>"7", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users",

"enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "kt_environment_id"=>"", "capabilities"=>"build image",
"provider"=>"Libvirt"}

Adding Compute instance for bareos.zuhause-local.de

Create DHCP reservation for bareos.zuhause-local.de-52:54:00:d0:71:30/192.168.0.48

Add DNS A record for bareos.zuhause-local.de/192.168.0.48

Processing by TasksController#show as /*

Parameters: {"id"=>"9c8909b7-e477-4042-a2fe-9d0e35231217"}

Add DNS PTR record for 192.168.0.48/bareos.zuhause-local.de

Add the TFTP configuration for bareos.zuhause-local.de

Fetching required TFTP boot files for bareos.zuhause-local.de

Fetch TFTP boot files for bareos.zuhause-local.de task failed with the following error: undefined method `path' for

nil:NilClass/usr/share/foreman/app/models/operatingsystem.rb:104:in `medium_uri'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.0.0/app/models/katello/concerns/redhat_extensions.rb:79:in

`medium_uri_with_content_uri'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.0.0/app/models/katello/concerns/redhat_extensions.rb:123:in `block in

boot_files_uri_with_content'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.0.0/app/models/katello/concerns/redhat_extensions.rb:122:in `collect'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.0.0/app/models/katello/concerns/redhat_extensions.rb:122:in

`boot_files_uri_with_content'

/usr/share/foreman/app/models/operatingsystem.rb:162:in `pxe_files'

/usr/share/foreman/app/models/concerns/orchestration/tftp.rb:39:in `setTFTPBootFiles'

/usr/share/foreman/app/models/concerns/orchestration.rb:137:in `execute'

/usr/share/foreman/app/models/concerns/orchestration.rb:85:in `block in process'

/usr/share/foreman/app/models/concerns/orchestration.rb:77:in `each'

/usr/share/foreman/app/models/concerns/orchestration.rb:77:in `process'

/usr/share/foreman/app/models/concerns/orchestration.rb:18:in `on_save'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:660:in

`_run__3130267030108022472__save__3703541149600383279__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_save_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in `create_or_update'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:84:in `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:50:in `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:22:in `save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:in `block (2 levels) in

save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in `block in

with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_stat

ements.rb:192:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in

`with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:in `block in save'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:252:in

`rollback_active_record_state!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:240:in `save'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'

/usr/share/foreman/app/controllers/hosts_controller.rb:90:in `create'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:538:in `block (3 levels) in run

_2736789149269372400__process_action__3559962389270805888__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_9850'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in

`_callback_around_1827'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_9850'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:537:in `block (2 levels) in

_run_2736789149269372400__process_action__3559962389270805888__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_9849'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_9849'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:426:in `block in _run

_2736789149269372400__process_action__3559962389270805888__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_9848'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_9848'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in `_run

_2736789149269372400__process_action__3559962389270805888__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in

`_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in

instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in

`instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in

`process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in

`process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in

`process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/lib/apipie/extractor/recorder.rb:97:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:i

n `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_p

ool.rb:473:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`_run__124878443819690077__call__3703541149600383279__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-2.0.0/lib/katello/middleware/silenced_logger.rb:30:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in

`process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in

start_threads'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

Rolling back due to a problem: [Fetch TFTP boot files for bareos.zuhause-local.de        25      failed  [#<Host::Managed id:

nil, name: "bareos.zuhause-local.de", ip: "192.168.0.48", last_compile: nil, last_freshcheck: nil, last_report: nil, updated_at:

nil, source_file_id: nil, created_at: nil, mac: "52:54:00:d0:71:30", root_pass: "$1$jzJJN7Zt$gmpJ2.uUV9RhOCtO.n/w/.",

serial: nil, puppet_status: 0, domain_id: 1, architecture_id: 1, operatingsystem_id: 7, environment_id: 1, subnet_id: 1,

ptable_id: 7, medium_id: nil, build: true, comment: "", disk: "", installed_at: nil, model_id: nil, hostgroup_id: nil, owner_id:

3, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: nil, image_file: nil, uuid:

"985e4e73-2437-ad08-34ec-fe2846ad13d6", compute_resource_id: 1, puppet_proxy_id: 1, certname: nil, image_id: nil,

organization_id: 1, location_id: 4, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: 3, provision_method:

"build", content_source_id: 1>, :setTFTPBootFiles]]

Delete the TFTP configuration for bareos.zuhause-local.de

Delete the DNS PTR record for 192.168.0.48/bareos.zuhause-local.de

Rendered tasks/_list.html.erb (0.9ms)

Completed 200 OK in 511ms (Views: 234.4ms | ActiveRecord: 5.0ms)

Delete the DNS A record for bareos.zuhause-local.de/192.168.0.48

Delete DHCP reservation for bareos.zuhause-local.de-52:54:00:d0:71:30/192.168.0.48

Removing Compute instance for bareos.zuhause-local.de

Failed to save: Fetch TFTP boot files for bareos.zuhause-local.de task failed with the following error: undefined method

`path' for nil:NilClass

Rendered hosts/_progress.html.erb (0.1ms)

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)

Rendered puppetclasses/_classes.html.erb (0.5ms)

Rendered puppetclasses/_class_selection.html.erb (14.2ms)

Rendered hosts/_compute.html.erb (3.7ms)

Rendered common/_domain.html.erb (10.9ms)

Rendered hosts/_interfaces.html.erb (12.9ms)

Rendered common/os_selection/_architecture.html.erb (3.4ms)

Rendered common/os_selection/_operatingsystem.html.erb (24.4ms)

Rendered hosts/_operating_system.html.erb (142.3ms)

Rendered hosts/_unattended.html.erb (291.0ms)

Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

Rendered puppetclasses/_classes_parameters.html.erb (4.2ms)

Rendered common_parameters/_inherited_parameters.html.erb (0.2ms)
Rendered common_parameters/_puppetclass_parameter.html.erb (1.5ms)

Rendered common_parameters/_puppetclasses_parameters.html.erb (2.6ms)

Rendered common_parameters/_parameter.html.erb (1.0ms)

Rendered common_parameters/_parameters.html.erb (2.3ms)

Rendered hosts/_form.html.erb (374.5ms)

Rendered hosts/new.html.erb within layouts/application (375.1ms)

Rendered home/_user_dropdown.html.erb (2.7ms)

Read fragment views/tabs_and_title_records-3 (0.0ms)

Rendered home/_organization_dropdown.html.erb (4.0ms)

Rendered home/_location_dropdown.html.erb (4.2ms)

Rendered home/_org_switcher.html.erb (10.2ms)

Rendered home/_submenu.html.erb (6.4ms)

Rendered home/_submenu.html.erb (2.4ms)

Rendered home/_submenu.html.erb (2.8ms)

Rendered home/_submenu.html.erb (2.0ms)

Rendered home/_submenu.html.erb (1.9ms)

Rendered home/_submenu.html.erb (2.7ms)

Write fragment views/tabs_and_title_records-3 (0.8ms)

Rendered home/_topbar.html.erb (36.1ms)

Rendered layouts/base.html.erb (37.0ms)

Completed 200 OK in 3934ms (Views: 401.4ms | ActiveRecord: 28.1ms)

Processing by TasksController#show as */

Parameters: {"id"=>"9c8909b7-e477-4042-a2fe-9d0e35231217"}

Rendered tasks/_list.html.erb (0.3ms)

Completed 200 OK in 5ms (Views: 0.8ms | ActiveRecord: 0.7ms)

Looks similar to a problem in http://projects.theforeman.org/issues/7621

Related issues:

Related to Foreman - Feature #15439: Improve invalid medium error Closed 06/16/2016

History

#1 - 09/29/2014 03:21 AM - Andreas Pfaffeneder

Ok, this issue was caused because the OS was not assigned to the location.

Therefore:

I as a user would like to

a.) not be able to chose a operating system whichs' install media is not available at a location chosen on the first provisioning screen

b.) get a descriptive error-message.

#2 - 09/29/2014 03:54 AM - Dominic Cleal

- Subject changed from Provisioning tftp-boot for Centos 7 fails (assuming to missing minor version) to Provisioning TFTP menu fails when OS not

assigned to org/loc

- Category set to Organizations and Locations

#3 - 06/17/2016 02:57 AM - Dominic Cleal

- Related to Feature #15439: Improve invalid medium error added

#4 - 08/09/2016 03:02 AM - Dominic Cleal

- Status changed from New to Resolved

I think #15439 has resolved the stack trace in Foreman by implementing checks, but Katello introduces further issues as it's overriding them. These

are tracked in #16014 now.
